Skip to main content
NetApp Knowledge Base

OnCommand Workflow Automation throws the error "Expanding of FlexGroup can be possible only on clusters running ONTAP version 9.2.0 and above."

Views:
45
Visibility:
Public
Votes:
0
Category:
oncommand-workflow-automation-wfa
Specialty:
om
Last Updated:

Applies to

  • OnCommand Workflow Automation 5.0
  • OnCommand Workflow Automation 5.1
  • ONTAP 9.5
  • ONTAP 9.6
  • ONTAP 9.7
  • ONTAP 9.8
  • ONTAP 9.9
  • ONTAP 9.10

Issue

  • After adding the "WFA pack for managing Clustered Data ONTAP" to OnCommand Workflow Automation the command 'FlexGroup Volume Expand' completes on the ONTAP side but the command throws an error:
09:34:39.718 INFO  [Expanding An Existing FlexGroup Volume] ***** Workflow Execution Started *****
09:34:39.718 INFO  [Search or define] ### Command 'Search or define' - cluster1:: abc101 ###
09:34:39.765 INFO  [FlexGroup Volume expand] ### Command 'FlexGroup Volume expand' in 'POWER_SHELL' ###
09:34:42.954 INFO  [FlexGroup Volume expand] Get-WfaCredentials -Host xxx.xxx.xxx.xxx
09:34:42.970 INFO  [FlexGroup Volume expand] Credentials successfully provided for 'xxx.xxx.xxx.xxx'
09:34:42.985 INFO  [FlexGroup Volume expand] Connect-Controller -Type CLUSTER -Name xxx.xxx.xxx.xxx -Credential System.Management.Automation.PSCredential -Vserver  -SSLversion TLSv1
09:34:43.016 INFO  [FlexGroup Volume expand] Credentials successfully provided for 'xxx.xxx.xxx.xxx'
09:34:43.048 INFO  [FlexGroup Volume expand] Connect-NcController (with credentials) -Name xxx.xxx.xxx.xxx -Timeout 60000 -ErrorAction Stop -SSLVersion TLSv1
09:34:44.329 INFO  [FlexGroup Volume expand] Connected to cluster node
09:34:44.563 INFO  [FlexGroup Volume expand] Expanding a FlexGroup volume: Start-NcVolExpand -ErrorAction Stop -VolumeName vol1 -VserverContext vserver1 -Aggregate abc_ssd_aggr1,xyz_ssd_aggr1
09:34:45.095 ERROR  [FlexGroup Volume expand] Failed to Expand the FlexGroup volume: vol1. Message: Expanding of FlexGroup can be possible only on clusters running ONTAP version 9.2.0 and above.
09:34:45.188 ERROR  [FlexGroup Volume expand] Command failed for Workflow 'Expanding An Existing FlexGroup Volume' with error : Failed to Expand the FlexGroup volume: vol1. Message: Expanding of FlexGroup can be possible only on clusters running ONTAP version 9.2.0 and above.
09:34:45.188 INFO  [FlexGroup Volume expand] ***** Workflow Execution Failed *****
  • When running the "Volume Create" command through a canned or custom workflow with any Tiering option selected, the command fails with a tiering error. This applies to both FlexGroups and FlexVols.

17:19:43.403 INFO [Create volume] Connect-Controller -Type CLUSTER -Name xxx.xxx.xxx.xxx -Credential System.Management.Automation.PSCredential -Vserver  -SSLversion TLSv1
17:19:43.450 INFO [Create volume] Credentials successfully provided for 'xxx.xxx.xxx.xxx'
17:19:43.512 INFO [Create volume] Connect-NcController (with credentials) -Name xxx.xxx.xxx.xxx -Timeout 60000 -ErrorAction Stop -SSLVersion TLSv1
17:19:45.528 INFO [Create volume] Connected to cluster node
17:19:46.294 INFO [Create volume] Failed to create new volume: volume_name. Message: Creation of Volume with Tiering Policy is possible only on clusters running ONTAP version 9.3.0 and above.
17:19:46.450 INFO [Create volume] Failed executing command. Exception: Failed to create new volume: volume_name. Message: Creation of Volume with Tiering Policy is possible only on clusters running ONTAP version 9.3.0 and above.

Scan to view the article on your device
CUSTOMER EXCLUSIVE CONTENT

Registered NetApp customers get unlimited access to our dynamic Knowledge Base.

New authoritative content is published and updated each day by our team of experts.

Current Customer or Partner?

Sign In for unlimited access

New to NetApp?

Learn more about our award-winning Support